Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.


WP-pluginInfo allows you to use a shortcode to list information about your activated plugins.

Any technical requirements?

  • You will need PHP5. PHP4 has been officially discontinued since August 8 2008. If this plugin gives you PHP errors (T_STATIC, T_OLD_FUNCTION), you should strongly consider upgrading your PHP installation.
  • You will also need at least WordPress 2.5 since WP-pluginInfo is using WordPress' ShortCode API.

Markup Variables

Here are the available markup variables and their README equivalencies.

  • %plugin_url%: Plugin URI
  • %name%: Plugin Name
  • %version%: Version
  • %author%: Author
  • %author_url%: Author URI
  • %description%: : Description (stripped of HTML for security)
  • %extend_url%: An automagic guess at the WordPress Extend plugin URL

Available Shortcodes

Valid shortcode syntax:

  • [plugininfo /]: Lists all activated plugin using markup in WP-pluginInfo's template.php
  • [plugininfo]<p><a href="%plugin_url%" target="_blank">%name%</a> version %version% by <a href="%author_url%" target="_blank">%author%</a>: %description%</p>[/pi]: Lists all activated plugin using the markup between shortcode.
  • [plugininfo wp-plugininfo /]: Lists information about specified plugin (in this case, wp-plugininfo). Separate items with space.

Keep in mind there are two shortcodes that do the same thing: [pi] and [plugininfo]. You can also combine all three syntaxes described above.

Requires: 2.5 or higher
Compatible up to: 3.0.5
Last Updated: 2010-11-15
Active Installs: Less than 10


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.